package com.jkcredit.invoice.mapper.customer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.model.entity.customer.CustomerEtcChangeInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface CustomerChangeInfoMapper extends BaseMapper<CustomerEtcChangeInfo> {
    void insertCardChangeInfo(CustomerEtcChangeInfo custometEtcChangeInfo);

    void insertChangeCard(@Param("applyId") String applyId, @Param("cardId") String cardId);
    List<Map<String,String>> selectChangeCards(String applyId);
    IPage<List<CustomerEtcChangeInfo>> selectAllByPage(Page page, @Param("custometEtcChangeInfo") CustomerEtcChangeInfo custometEtcChangeInfo);
}
